be.ehealth.technicalconnector.handler.domain

## Class WsAddressingHeader

- java.lang.Object
- - be.ehealth.technicalconnector.handler.domain.WsAddressingHeader

-     public class WsAddressingHeader
      extends Object

  Domain object used for generating the WS-Addressing header.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WsAddressingHeader(URI action)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `URI` | `getAction()`
    `String` | `getFaultTo()`
    `String` | `getFrom()`
    `URI` | `getMessageID()`
    `String` | `getMustUnderstand()`
    `List<WsAddressingRelatesTo>` | `getRelatesTo()`
    `String` | `getReplyTo()`
    `URI` | `getTo()`
    `void` | `setAction(URI action)`
    `void` | `setFaultTo(String faultTo)`
    `void` | `setFrom(String from)`
    `void` | `setMessageID(URI messageID)`
    `void` | `setMustUnderstand(boolean mustUnderstand)`
    `void` | `setReplyTo(String replyTo)`
    `void` | `setTo(URI to)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WsAddressingHeader

          public WsAddressingHeader(URI action)

  - ### Method Detail

    - #### getMessageID

          public URI getMessageID()

      Returns:
        the messageID

    - #### setMessageID

          public void setMessageID(URI messageID)

      Parameters:
        `messageID` - the messageID to set

    - #### getTo

          public URI getTo()

      Returns:
        the to

    - #### setTo

          public void setTo(URI to)

      Parameters:
        `to` - the to to set

    - #### getAction

          public URI getAction()

      Returns:
        the action

    - #### setAction

          public void setAction(URI action)

      Parameters:
        `action` - the action to set

    - #### getFrom

          public String getFrom()

      Returns:
        the from

    - #### setFrom

          public void setFrom(String from)

      Parameters:
        `from` - the from to set

    - #### getReplyTo

          public String getReplyTo()

      Returns:
        the replyTo

    - #### setReplyTo

          public void setReplyTo(String replyTo)

      Parameters:
        `replyTo` - the replyTo to set

    - #### getFaultTo

          public String getFaultTo()

      Returns:
        the faultTo

    - #### setFaultTo

          public void setFaultTo(String faultTo)

      Parameters:
        `faultTo` - the faultTo to set

    - #### getRelatesTo

          public List<WsAddressingRelatesTo> getRelatesTo()

      Returns:
        the relatesTo

    - #### getMustUnderstand

          public String getMustUnderstand()

      Returns:
        the mustUnderstand

    - #### setMustUnderstand

          public void setMustUnderstand(boolean mustUnderstand)

      Parameters:
        `mustUnderstand` - the mustUnderstand to set

Connector Packaging OTMOBILITYIMPROVEMENT 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.